Upload a file for an order requirement
Upload a single file (multipart/form-data) in response to an order requirement on an order that is in
AWAITING_INFORMATION status. Call this endpoint once per required file.
Send fileKey (matching a fileKey from requiredFiles on the GET response) and the binary file. Its type
must be one of the supported file formats. Fireblocks encrypts each file and uploads it individually to the
underlying provider. The textual response is submitted separately via
POST /trading/orders/{orderId}/requirement/data.
Endpoint Permission: Owner, Admin, Non-Signing Admin, Signer, Editor.
For detailed information about error codes and troubleshooting, please refer to our API Error Codes documentation.
Headers
Path Parameters
Body
Multipart body of POST /trading/orders/{orderId}/requirement/file. Uploads a single file as part of an order requirement response. Fireblocks encrypts and uploads each file individually to the underlying provider.
Response
File accepted for processing.